For the complete documentation index, see llms.txt. This page is also available as Markdown.

Companies

Obter Empresa

get
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Parâmetros de rota
idstringObrigatório
Respostas
200

OK

application/json
idstringOpcional
namestringOpcional
fiscal_registration_numberstringOpcional
address_typestringOpcional
streetstringOpcional
numberstringOpcional
complementstringOpcional
neighborhoodstringOpcional
citystringOpcional
statestringOpcional
countrystringOpcional
activebooleanOpcional
postal_codestringOpcional
get/companies/{id}
GET /api/sales/companies/{id} HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "text",
  "name": "text",
  "fiscal_registration_number": "text",
  "address_type": "text",
  "street": "text",
  "number": "text",
  "complement": "text",
  "neighborhood": "text",
  "city": "text",
  "state": "text",
  "country": "text",
  "active": true,
  "postal_code": "text",
  "attributes": {
    "ANY_ADDITIONAL_PROPERTY": {}
  }
}

Atualizar Empresa

put
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Parâmetros de rota
idstringObrigatório
Corpo
namestringObrigatório
fiscal_registration_numberstringObrigatório
address_typestringObrigatório
streetstringObrigatório
numberstringObrigatório
complementstringObrigatório
neighborhoodstringObrigatório
citystringOpcional
statestringObrigatório
countrystringObrigatório
activebooleanObrigatório
postal_codestringObrigatório
Respostas
200

Company updated successfully

application/json
idstringOpcional
namestringOpcional
fiscal_registration_numberstringOpcional
address_typestringOpcional
streetstringOpcional
numberstringOpcional
complementstringOpcional
neighborhoodstringOpcional
citystringOpcional
statestringOpcional
countrystringOpcional
activebooleanOpcional
postal_codestringOpcional
put/companies/{id}
PUT /api/sales/companies/{id} HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 272

{
  "name": "text",
  "fiscal_registration_number": "text",
  "address_type": "text",
  "street": "text",
  "number": "text",
  "complement": "text",
  "neighborhood": "text",
  "city": "text",
  "state": "text",
  "country": "text",
  "active": true,
  "postal_code": "text",
  "attributes": {
    "ANY_ADDITIONAL_PROPERTY": {}
  }
}
{
  "id": "text",
  "name": "text",
  "fiscal_registration_number": "text",
  "address_type": "text",
  "street": "text",
  "number": "text",
  "complement": "text",
  "neighborhood": "text",
  "city": "text",
  "state": "text",
  "country": "text",
  "active": true,
  "postal_code": "text",
  "attributes": {
    "ANY_ADDITIONAL_PROPERTY": {}
  }
}

Remover Empresa

delete
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Parâmetros de rota
idstringObrigatório
Respostas
204

Company removed successfully

application/json
idstringOpcional
delete/companies/{id}
DELETE /api/sales/companies/{id} HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "text"
}

Listar Empresas

get
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Parâmetros de consulta
searchstringOpcionalDefault: ""
pageinteger · int32OpcionalDefault: 0
perPageinteger · int32OpcionalDefault: 25
sortstringOpcionalDefault: ""
dirstringOpcionalDefault: asc
Respostas
200

OK

application/json
idstringOpcional
namestringOpcional
fiscal_registration_numberstringOpcional
address_typestringOpcional
streetstringOpcional
numberstringOpcional
complementstringOpcional
neighborhoodstringOpcional
citystringOpcional
statestringOpcional
countrystringOpcional
activebooleanOpcional
postal_codestringOpcional
get/companies
GET /api/sales/companies HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "text",
  "name": "text",
  "fiscal_registration_number": "text",
  "address_type": "text",
  "street": "text",
  "number": "text",
  "complement": "text",
  "neighborhood": "text",
  "city": "text",
  "state": "text",
  "country": "text",
  "active": true,
  "postal_code": "text",
  "attributes": {
    "ANY_ADDITIONAL_PROPERTY": {}
  }
}

Criar Empresa

post
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Corpo
idstringOpcional
namestringObrigatório
fiscal_registration_numberstringObrigatório
address_typestringObrigatório
streetstringObrigatório
numberstringObrigatório
complementstringObrigatório
neighborhoodstringObrigatório
citystringObrigatório
statestringObrigatório
countrystringObrigatório
activebooleanObrigatório
postal_codestringObrigatório
Respostas
201

Company created successfully

application/json
idstringOpcional
namestringOpcional
fiscal_registration_numberstringOpcional
address_typestringOpcional
streetstringOpcional
numberstringOpcional
complementstringOpcional
neighborhoodstringOpcional
citystringOpcional
statestringOpcional
countrystringOpcional
activebooleanOpcional
postal_codestringOpcional
post/companies
POST /api/sales/companies HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 284

{
  "id": "text",
  "name": "text",
  "fiscal_registration_number": "text",
  "address_type": "text",
  "street": "text",
  "number": "text",
  "complement": "text",
  "neighborhood": "text",
  "city": "text",
  "state": "text",
  "country": "text",
  "active": true,
  "postal_code": "text",
  "attributes": {
    "ANY_ADDITIONAL_PROPERTY": {}
  }
}
{
  "id": "text",
  "name": "text",
  "fiscal_registration_number": "text",
  "address_type": "text",
  "street": "text",
  "number": "text",
  "complement": "text",
  "neighborhood": "text",
  "city": "text",
  "state": "text",
  "country": "text",
  "active": true,
  "postal_code": "text",
  "attributes": {
    "ANY_ADDITIONAL_PROPERTY": {}
  }
}